#include <stdio.h>
int main()
{
    int N, i, j;
    scanf("%d",&N);
    float P[N];
    float A[N];
    float niz[N];
    for ( i = 0; i < N; i++ )
    {
      scanf("%f", &A[i]);
      scanf("%f", &P[i]);
    }
	    for( i = 0 ; i < N; i++)
	    {
	        for( j = 0 ; j < N; j++)
	        {
	            if(P[i]<=P[j])
	            niz[i]=niz[i]+A[j]*P[i]/100;
	        }
	    }
	for (i = 1; i < N; i++) {
        if (niz[0] < niz[i])
            niz[0] = niz[i];
    }
    printf("%f", niz[0]);
    return 0;
}